%{?scl:%scl_package jackson-datatypes-collections}
%{!?scl:%global pkg_name %{name}}

%global baserelease 3

# Unavailable deps
# https://bugzilla.redhat.com/show_bug.cgi?id=1369227
%bcond_with pcollections

Name:          %{?scl_prefix}jackson-datatypes-collections
Version:       2.7.6
Release:       2.%{baserelease}%{?dist}
Summary:       Jackson datatypes: collections
# Source files without license headers https://github.com/FasterXML/jackson-datatypes-collections/issues/10
License:       ASL 2.0
URL:           https://github.com/FasterXML/jackson-datatypes-collections
Source0:       https://github.com/FasterXML/jackson-datatypes-collections/archive/%{pkg_name}-%{version}.tar.gz

BuildRequires: %{?scl_prefix_maven}maven-local
BuildRequires: %{?scl_prefix_maven}mvn(com.fasterxml.jackson:jackson-parent:pom:)
BuildRequires: %{?scl_prefix_maven}mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: %{?scl_prefix_maven}mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: %{?scl_prefix_maven}mvn(com.google.guava:guava) >= 15.0
BuildRequires: %{?scl_prefix_maven}mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires: %{?scl_prefix_maven}mvn(junit:junit)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.felix:maven-bundle-plugin)
%if %{with pcollections}
BuildRequires: mvn(org.pcollections:pcollections)
%endif

BuildArch:     noarch

%description
This is a multi-module umbrella project for various Jackson
Data-type modules to support 3rd party Collection libraries.

Currently included are:
* Guava data-type
* HPPC data-type
* PCollections data-type

%package -n %{?scl_prefix}jackson-datatype-guava
Summary:       Add-on module for Jackson which handles Guava data-types

%description -n %{?scl_prefix}jackson-datatype-guava
Add-on datatype-support module for Jackson that handles
Guava types (currently mostly just collection ones).

%package javadoc
Summary:       Javadoc for %{pkg_name}

%description javadoc
This package contains javadoc for %{pkg_name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n %{pkg_name}-%{pkg_name}-%{version}

sed -i 's/\r//' hppc/src/main/resources/META-INF/LICENSE
cp -p hppc/src/main/resources/META-INF/LICENSE .

%pom_disable_module hppc
%if %{without pcollections}
%pom_disable_module pcollections
%endif
%{?scl:EOFSCL}


%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x

%mvn_build -s
%{?scl:EOFSCL}


%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}


%files -f .mfiles-jackson-datatypes-collections
%doc README.md release-notes
%doc LICENSE

%files -n %{?scl_prefix}jackson-datatype-guava -f .mfiles-jackson-datatype-guava
%doc guava/README.md guava/release-notes
%doc LICENSE

%if %{with pcollections}

%files -n %{?scl_prefix}jackson-datatype-pcollections -f .mfiles-jackson-datatype-pcollections
%doc pcollections/README.md pcollections/release-notes
%doc LICENSE
%endif

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Thu Dec 07 2017 Mat Booth <mat.booth@redhat.com> - 2.7.6-2.3
- Rebuilt

* Fri Jun 16 2017 Mat Booth <mat.booth@redhat.com> - 2.7.6-2.2
- Don't build hppc subpackage

* Fri Jun 16 2017 Mat Booth <mat.booth@redhat.com> - 2.7.6-2.1
- Auto SCL-ise package for rh-eclipse47 collection

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.7.6-1
- initial rpm
